;;; emacs21-rus-win-keyboard.el --- Russian Windows style keyboard

;; Copyright (C) 2004  Free Software Foundation, Inc.

;; Author: Alex Ott <ottalex@narod.ru>
;; Keywords: 

;; Чтобы раскладка соответствовала раскладке русских букв на виндовых (а теперь
;;   таких большинство) клавиатурах, можно добавить еще следующие строки:
;;
;; redefine some orginal keybindings под MS - можно ли попроще?
;;
;; кнопка \\| => \\/ при переключения регистра (для моего удобства)
;;

(quail-define-package
 "cyrillic-jcuken-win" "Cyrillic" "RU" nil
 "ЙЦУКЕH keyboard layout widely used in Russia (ISO 8859-5 encoding)"
 nil t t t t nil nil nil nil nil t)

(quail-define-rules
 ("1" ?1) ("2" ?2) ("3" ?3) ("4" ?4) ("5" ?5) ("6" ?6) ("7" ?7) ("8" ?8)
 ("9" ?9) ("0" ?0) ("-" ?-) ("=" ?=) ("`" ?ё) ("q" ?й) ("w" ?ц) ("e" ?у)
 ("r" ?к) ("t" ?е) ("y" ?н) ("u" ?г) ("i" ?ш) ("o" ?щ) ("p" ?з) ("[" ?х)
 ("]" ?ъ) ("a" ?ф) ("s" ?ы) ("d" ?в) ("f" ?а) ("g" ?п) ("h" ?р) ("j" ?о)
 ("k" ?л) ("l" ?д) (";" ?ж) ("\'" ?э) ("\\" ?\\) ("z" ?я) ("x" ?ч) ("c" ?с)
 ("v" ?м) ("b" ?и) ("n" ?т) ("m" ?ь) ("," ?б) ("." ?ю) ("/" ?.) ("!" ?!)
 ("@" ?\") ("\#" ?#) ("$" ?\;) ("%" ?%) ("^" ?:) ("&" ?\?) ("*" ?*) ("(" ?\()
 (")" ?\)) ("_" ?_) ("+" ?+) ("~" ?Ё)
 ("Q" ?Й) ("W" ?Ц) ("E" ?У) ("R" ?К) ("T" ?Е) ("Y" ?H) ("U" ?Г) ("I" ?Ш)
 ("O" ?Щ) ("P" ?З) ("{" ?Х) ("}" ?Ъ) ("A" ?Ф) ("S" ?Ы) ("D" ?В) ("F" ?А)
 ("G" ?П) ("H" ?Р) ("J" ?О) ("K" ?Л) ("L" ?Д) (":" ?Ж) ("\"" ?Э) ("|" ?/)
 ("Z" ?Я) ("X" ?Ч) ("C" ?С) ("V" ?М) ("B" ?И) ("N" ?Т) ("M" ?Ь) ("<" ?Б)
 (">" ?Ю) ("?" ?,))

;; standard ms layout keyboard (without derivations)

(quail-define-package
 "cyrillic-jcuken-ms" "Cyrillic" "Жr" nil
 "ЙЦУКЕНГ-MS RUSSIAN (ISO 8859-5 encoding)"
 nil t t t t nil nil nil nil nil t)

;; Ё 1! 2" 3# 4; 5% 6: 7? 8* 9( 0) -_ += \|
;;     Й  Ц  У  К  Е  Н  Г  Ш  Щ  З  Х  Ъ
;;  	Ф  Ы  В  А  П  Р  О  Л  Д  Ж  Э
;;  	  Я  Ч  С  М  И  Т  Ь  Б  Ю ,.

(quail-define-rules
 ("`" ?ё)      ("~" ?Ё)
 ("1" ?1)      ("!" ?!)  
 ("2" ?2)      ("@" ?\") 
 ("3" ?3)      ("#" ?#)  
 ("4" ?4)      ("$" ?\;)  
 ("5" ?5)      ("%" ?%)  
 ("6" ?6)      ("^" ?:)  
 ("7" ?7)      ("&" ?\?)  
 ("8" ?8)      ("*" ?*) 
 ("9" ?9)      ("(" ?\() 
 ("0" ?0)      (")" ?\))  
 ("-" ?-)      ("_" ?_)  
 ("=" ?=)      ("+" ?+)  
 ("\\" ?/)     ("|" ?|)  

 ("q" ?й)      ("Q" ?Й)
 ("w" ?ц)      ("W" ?Ц)
 ("e" ?у)      ("E" ?У)
 ("r" ?к)      ("R" ?К)
 ("t" ?е)      ("T" ?Е)
 ("y" ?н)      ("Y" ?Н)
 ("u" ?г)      ("U" ?Г)
 ("i" ?ш)      ("I" ?Ш)
 ("o" ?щ)      ("O" ?Щ)
 ("p" ?з)      ("P" ?З)
 ("[" ?х)      ("{" ?Х)
 ("]" ?ъ)      ("}" ?Ъ)

 ("a" ?ф)      ("A" ?Ф)
 ("s" ?ы)      ("S" ?Ы)
 ("d" ?в)      ("D" ?В)
 ("f" ?а)      ("F" ?А)
 ("g" ?п)      ("G" ?П)
 ("h" ?р)      ("H" ?Р)
 ("j" ?о)      ("J" ?О)
 ("k" ?л)      ("K" ?Л)
 ("l" ?д)      ("L" ?Д)
 (";" ?ж)      (":" ?Ж)
 ("'" ?э)      ("\"" ?Э)

 ("z" ?я)      ("Z" ?Я)
 ("x" ?ч)      ("X" ?Ч)
 ("c" ?с)      ("C" ?С)
 ("v" ?м)      ("V" ?М)
 ("b" ?и)      ("B" ?И)
 ("n" ?т)      ("N" ?Т)
 ("m" ?ь)      ("M" ?Ь)
 ("," ?б)      ("<" ?Б)
 ("." ?ю)      (">" ?Ю)
 ("/" ?.)      ("?" ?,))

;;

